// Access to Bootstrap variables and mixins
@import '~ChillMainAssets/module/bootstrap/shared';

@import 'ChillMainAssets/chill/scss/chill_variables';

// Complete/override Main generic assets
@import './scss/mixins';
@import './scss/render_box.scss';
@import './scss/flex_table.scss';
@import './scss/badge.scss';

// Specific templates styles
@import './scss/accompanying_period_work.scss';
@import './scss/person_by_phonenumber.scss';
@import './scss/address_history.scss';

/*
 * Mixins
 */

@mixin context_buttons ($context) {
    .chill-entity.entity-address .address {
        padding-right: 1em;
    }
    .address-details-button,
    .household-link {
        border: 1px solid white;
        background-color: transparent;
        width: 1.85rem;
        height: 1.85rem;
        font-size: 75%;
        padding: .38rem;
        border-radius: 5px;
        color: white;
        cursor: pointer;
        &:hover {
            background-color: white;
            color: $context
        }
    }
}

/*
*  PERSON CONTEXT
*  Header custom for Person
*/

div.banner {
    div#header-person-name {
        background: none repeat scroll 0 0 shade-color($chill-person-context, 20%);
        color: $white;
        padding-top: 1em;
        padding-bottom: 1em;
    }
    div#header-person-details {
        background: none repeat scroll 0 0 $chill-person-context;
        color: $white;
        padding-top: 1em;
        padding-bottom: 1em;
        div.contact {
            display: flex;
            align-content: center;
            & > * {
                margin-right: 1em;
            }
        }
        @include context_buttons($chill-person-context);
    }
}

div.person-view {
    figure.person-details {
        h2 {
            font-family: 'Open Sans';
            font-weight: 600;
            margin-bottom: 0.3em;
            font-variant: small-caps;
        }
        dl {
            margin-top: 0.3em;
        }
        dt {
            font-family: 'Open Sans';
            font-weight: 600;
        }
        dd {
            margin-left: 0;
        }
        /*
            a.sc-button { background-color: $black; padding-top: 0.2em; padding-bottom: 0.2em; }
        */
    }
    /* custom fields on the home page */
    div.custom-fields {
        figure.person-details {
            display: flex;
            flex-flow: row wrap;
            div.cf_title_box:nth-child(4n+1) h2 {
                @extend .chill-red !optional;
            }
            div.cf_title_box:nth-child(4n+2) h2 {
                @extend .chill-green !optional;
            }
            div.cf_title_box:nth-child(4n+3) h2 {
                @extend .chill-orange !optional;
            }
            div.cf_title_box:nth-child(4n+4) h2 {
                @extend .chill-blue !optional;
            }
            div.cf_title_box:nth-child(2n+1) {
                width: 50%;
                margin-right: 40px;
            }
            div.cf_title_box:nth-child(2n+2) {
                width: calc(50% - 40px);
            }
        }
    }
}

/*
 *  ACCOMPANYING_COURSE CONTEXT
 *  Header custom for Accompanying Course
 */

div.banner {
    div#header-accompanying_course-name {
        background: none repeat scroll 0 0 $chill-accourse-context;
        color: $white;
        h1 {
            margin: 0.4em 0;
        }
        span {
            a {
                color: $white;
                &:hover {
                    text-decoration: underline;
                }
            }
        }
    }
    div#header-accompanying_course-details {
        background: none repeat scroll 0 0 tint-color($chill-accourse-context, 20%);
        color: $white;
        padding-top: 1em;
        padding-bottom: 1em;

        /// AccompanyingCourse: HeaderSlider Carousel
        button.carousel-control-prev,
        button.carousel-control-next {
            width: 8%;
            opacity: inherit;
        }
        button.carousel-control-prev {
            left: unset;
            right: 0;
        }
        span.to-social-issues,
        span.to-persons-associated {
            display: inline-block;
            border-radius: 15px;
            width: 24px;
            height: 24px;
            box-shadow: 0 0 3px 1px grey;
            opacity: 0.8;
            &:hover {
                opacity: 1;
            }
        }
        span.to-social-issues {
            background-color: #4bafe8;
            border-left: 12px solid #32749a;
        }
        span.to-persons-associated {
            background-color: #16d9b4;
            border-right: 12px solid #ffffff;
        }
    }
}

/*
 *  HOUSEHOLD CONTEXT
 *  Header custom for Household
 */

div.banner {
    div#header-household-name {
        background: none repeat scroll 0 0 $chill-household-context;
        color: $white;

        h1 {
            margin: 0.4em 0;
        }
        span {
            a {
                color: $white;
                &:hover {
                    text-decoration: underline;
                }
            }
        }
        div.household-members {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;

            span.badge-member {
                flex-shrink: 0; flex-grow: 0; flex-basis: auto;
                color: $white;
                background-color: transparentize($white, 0.85);
                border: 1px solid transparentize($white, 0.75);
                border-bottom: 3px solid transparentize( shade-color( $chill-green, 20%), 0.3);
                border-radius: 8px;
                padding: 0.0em 0.5em;
                margin-bottom: 0.2em;
                margin-right: 0.3em;

                &.holder {
                    order: -1;
                    .fa-holder .text-success {
                        color: transparentize( shade-color( $chill-green, 20%), 0.3) !important;
                    }
                }
                &.child { order: 2; }
            }
        }
    }
    div#header-household-details {
        background: none repeat scroll 0 0 tint-color($chill-household-context, 15%);
        color: $white;
        padding-top: 1em;
        padding-bottom: 1em;

        span.current-members-explain {
            font-weight: 700;
            font-weight: bold;
        }

        @include context_buttons($chill-household-context);
    }
}

///
div.household-resume {
    display: flex;
    flex-direction: row;
    align-items: center;

    div.col-address {
        font-size: 120%;
        padding-left: 1em;

    }
    div.col-comment {
        //padding: 0;
        margin-bottom: 1rem;
        display: flex;
        flex-direction: column;
        > * > * {
            & >  .chill-user-quote {
                margin: 1.5em -1.67em 0;
            }
        }
    }
}

/*
*  GENERIC PERSON STYLES
*  miscellaneous
*/

abbr.referrer {   // still used ?
    font-size: 70%;
    padding-right: 0.4em;
    align-self: center; // in flex context
}

.updatedBy, .createdBy {
    margin-top: 0.3rem;
    font-size: 0.9rem;
    font-style: italic;
}

.created-updated {
    border: 1px solid black;
    padding: 10px;
}

/// Masonry blocs on AccompanyingCourse resume page
div#dashboards {
    div.mbloc {
        & > div:not(.warnings) {
            //border: 1px solid $chill-light-gray;
            //border-radius: 0.35rem;
            background-color: $chill-llight-gray;
            padding: 1rem;
        }
        & > div.warnings .alert {
            margin-bottom: 0;
        }
        blockquote.chill-user-quote {
            margin: -1.2em;
            p {
                margin: 0;
            }
        }
    }
}
